Bug 1296387 - Build for mpich, drop requires environment-modules
Build for mpich, drop requires environment-modules
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: MUMPS (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 22:55 EST by Orion Poplawski
Modified: 2016-01-23 20:59 EST (History)
0 users

See Also:
Fixed In Version: MUMPS-5.0.1-10.fc23 MUMPS-5.0.1-10.el7 MUMPS-5.0.1-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-17 12:51:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2016-01-06 22:55:13 EST
Description of problem:

Since MUMPS itself does not provide an environment module file, it should not require environment-modules.  The mpi implementation will bring it in.

MUMPS should also be built with mpich.

Also, as of F23, mpi requires are generated automatically, so Requires: openmpi (or mpich)  is not necessary).

Version-Release number of selected component (if applicable):
5.0.1-8
Comment 1 Antonio Trande 2016-01-07 17:10:42 EST
MUMPS rebuilt in rawhide including mpich libraries.
Comment 2 Orion Poplawski 2016-01-07 23:14:50 EST
Great.  Some questions:

- Why no mpich builds on rhel?
- Why different mpi* flags for fedora and rhel?

Answers to these should go into the spec file as well.
Comment 3 Antonio Trande 2016-01-08 08:45:23 EST
(In reply to Orion Poplawski from comment #2)
> Great.  Some questions:
> 
> - Why no mpich builds on rhel?

I thought mpich libraries were not in rhel.

> - Why different mpi* flags for fedora and rhel?

rhel6 still provides openmpi-1.8.1 (instead of 1.10 on fedora 24 and 1.8.8 on fedora 23); for example, 'libmpi_usempif08' is not in openmpi-1.8.1, but it is in openmpi-1.8.8

$ pkg-config --libs ompi-fort
-L/usr/lib64/openmpi/lib -Wl,-rpath -Wl,/usr/lib64/openmpi/lib -Wl,--enable-new-dtags -lmpi_usempif08 -lmpi_usempi_ignore_tkr -lmpi_mpifh -lmpi 

Also, openmpi-1.8.1 in rhel6 does not provide any pkgconfig files.
Comment 4 Fedora Update System 2016-01-08 13:53:04 EST
MUMPS-5.0.1-10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e8d63d5fb9
Comment 5 Fedora Update System 2016-01-08 13:53:04 EST
MUMPS-5.0.1-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-efc5150750
Comment 6 Fedora Update System 2016-01-08 13:53:08 EST
MUMPS-5.0.1-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-671f397550
Comment 7 Fedora Update System 2016-01-09 12:48:18 EST
MUMPS-5.0.1-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e8d63d5fb9
Comment 8 Fedora Update System 2016-01-09 12:51:36 EST
MUMPS-5.0.1-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-671f397550
Comment 9 Fedora Update System 2016-01-09 13:21:16 EST
MUMPS-5.0.1-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-efc5150750
Comment 10 Fedora Update System 2016-01-17 12:51:34 EST
MUMPS-5.0.1-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-01-23 20:05:38 EST
MUMPS-5.0.1-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-01-23 20:59:23 EST
MUMPS-5.0.1-10.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.